package contenedores;
/**
 * Interfaz para un contenedor ordenado
 */
public interface ContenedorOrdenado 
{
	/**
	 * @param e, elemento a insertar en el contenedor, si est no hace nada.
	 */
	public void insertar(Comparable e);

	/**
	 * @param e, elemento a quitar del contenedor. Si no est no hace nada.
	 */
	public void extraer(Comparable e);

	/**
	 * Vaca el contenedor, dejndolo sin elementos.
	 */
	public void vaciar();

	/**
	 * @param e, elemento a buscar en el contenedor.
	 * @return true si encuentra el elemento buscado.
	 */
	public boolean est(Comparable e);

	/**
	 * @return true si el contenedor est vaco y false si no.
	 */
	public boolean esVaco();

	/**
	 * @return el nmero de elementos del contenedor.
	 */
	public int tamao();
}
